Redmine - Defect #7310

REST API Parameter GET /issues.xml?assigned_to=me doesn't work
2011-01-12 14:33 - Matthias Neubert

Status: Closed Start date: 2011-01-12
Priority: Normal Due date:

Assignee: % Done: 0%
Category: REST API Estimated time: 0.00 hour
Target version:

Resolution: Cant reproduce Affected version: 1.1.0
Description

Hello,

| currently extend IntelliJ IDEAs Redmine Plugln.

| want to query only for Issues which are assigned to one user.

e.g. Redmine-User-Login ist "mat"

so | hoped that GET /issues.xml?assigned_to=mat will deliver issues assigned to mat
Even if | try GET /issues.xml?assigned_to=MyFull%20Name it doesn't work.

It always returns the full issue list.

| also hope if you can fix this, that /projects/myprojecti/issues.xml?assigned_to=mat
will work too.

Is this a bug in Redmine Rest API or what is my mistake

regards
Matthias

ps: | also tried to add the users api key to the request but that doesn't help

History

#1 - 2011-01-12 14:50 - Matthias Neubert

| found out that assigned_to_id works as expected!

But this doesn't help me that much, because the redmine plugins only knows
login, password and api key to do its requests.

a workaround would be to request the user id of a login, but | don't know if there is an REST call for this?!?

#2 - 2011-01-12 16:00 - Matthias Neubert

Update:
| found out that after authentification it is possible to get the current user:
/users/current.xml

-> s0 now | get the current user, extract its ID an use it in the issues request.
This is not the best solution but it works fine.

#3 - 2011-01-12 16:01 - Matthias Neubert

Unforunatly the mentioned user query only works with redmine 1.10.
in our production enviroment we still use 1.04, but we will change this soon

#4 - 2011-01-13 12:59 - Matthias Neubert

http://www.redmine.org/boards/2/topics/20012

#5 - 2011-02-08 09:45 - Etienne Massip
- Status changed from New to Closed

- Resolution set to Invalid
http://www.redmine.org/boards/2/topics/20012

#6 - 2011-05-05 16:36 - Mark Williamson

- Status changed from Closed to Reopened

This is not resolved.

| am using Redmine 1.1.0.stable.4764 (MySQL)

and the API query ?assigned_to=me returns all open issues assigned to anyone.

Can we get this fixed so we do not have to know the USERID [magic number]? It is a bad practice to pass magic numbers/user id's around to
external entities requiring them to pass them back through the api.

?assigned_to_id=1234 is less desirable than
?assigned_to=me

#7 - 2012-05-03 22:27 - Jeffrey Clark

fissues.xml?assigned_to_id=me appears to work for me in release 1.4.1.

#8 - 2020-12-08 02:40 - Go MAEDA
- Status changed from Reopened to Closed

- Resolution changed from Invalid to Cant reproduce
